import request from '@/utils/request'

// 查询告警中心管理列表
export function listAlarmEvent(query) {
  return request({
    url: '/hnyz/alarmEvent/list',
    method: 'get',
    params: query
  })
}

// 查询告警中心管理详细
export function getAlarmEvent(alarmId) {
  return request({
    url: '/hnyz/alarmEvent/' + alarmId,
    method: 'get'
  })
}

// 新增告警中心管理
export function addAlarmEvent(data) {
  return request({
    url: '/hnyz/alarmEvent',
    method: 'post',
    data: data
  })
}

// 修改告警中心管理
export function updateAlarmEvent(data) {
  return request({
    url: '/hnyz/alarmEvent',
    method: 'put',
    data: data
  })
}

// 删除告警中心管理
export function delAlarmEvent(alarmId) {
  return request({
    url: '/hnyz/alarmEvent/' + alarmId,
    method: 'delete'
  })
}
